## libcyaml 1.1.0

=== Makefile ===
# SPDX-License-Identifier: ISC
#
# Copyright (C) 2017-2020 Michael Drake <tlsa@netsurf-browser.org>

# CYAML's versioning is <MAJOR>.<MINOR>.<PATCH>[-DEVEL]
# Master branch will always be DEVEL.  The release process will be to make
# the release branch, set VESION_DEVEL to 0, and tag the release.
VERSION_MAJOR = 1
VERSION_MINOR = 1
VERSION_PATCH = 0
VERSION_DEVEL = 0
VERSION_STR = $(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_PATCH)

# Default variant depends on whether it's a development build.
ifeq ($(VERSION_DEVEL), 1)
	VARIANT = debug
else
	VARIANT = release
endif

# Unfortunately ASan is incompatible with valgrind, so we have a special
# variant for running with sanitisers.
VALID_VARIANTS := release debug san
ifneq ($(filter $(VARIANT),$(VALID_VARIANTS)),)
else
$(error VARIANT must be 'debug' (default), 'san', or 'release')
endif

LIB_NAME = libcyaml
LIB_PKGCON = $(LIB_NAME).pc
LIB_STATIC = $(LIB_NAME).a
LIB_SHARED = $(LIB_NAME).so
LIB_SH_MAJ = $(LIB_SHARED).$(VERSION_MAJOR)
LIB_SH_VER = $(LIB_SHARED).$(VERSION_STR)

.IMPLICIT =

PREFIX ?= /usr/local
LIBDIR ?= lib
INCLUDEDIR ?= include

CC ?= gcc
AR ?= ar
MKDIR =	mkdir -p
INSTALL ?= install -c -D
VALGRIND = valgrind --leak-check=full --track-origins=yes

VERSION_FLAGS = -DVERSION_MAJOR=$(VERSION_MAJOR) \
                -DVERSION_MINOR=$(VERSION_MINOR) \
                -DVERSION_PATCH=$(VERSION_PATCH) \
                -DVERSION_DEVEL=$(VERSION_DEVEL)

LIBYAML = yaml-0.1
LIBYAML_CFLAGS := $(if $(PKG_CONFIG),$(shell $(PKG_CONFIG) --cflags $(LIBYAML)),)
LIBYAML_LIBS := $(if $(PKG_CONFIG),$(shell $(PKG_CONFIG) --libs $(LIBYAML)),-lyaml)

INCLUDE = -I include
CFLAGS += $(INCLUDE) $(VERSION_FLAGS) $(LIBYAML_CFLAGS)
CFLAGS += -std=c11 -Wall -Wextra -pedantic -Wconversion
LDFLAGS += $(LIBYAML_LIBS)
LDFLAGS_SHARED += -Wl,-soname=$(LIB_SH_MAJ) -shared

ifeq ($(VARIANT), debug)
	CFLAGS += -O0 -g
else ifeq ($(VARIANT), san)
	CFLAGS += -O0 -g -fsanitize=address -fsanitize=undefined -fno-sanitize-recover
	LDFLAGS += -fsanitize=address -fsanitize=undefined -fno-sanitize-recover
else
	CFLAGS += -O2 -DNDEBUG
endif

ifneq ($(filter coverage,$(MAKECMDGOALS)),)
	BUILDDIR = build/coverage/$(VARIANT)
	CFLAGS_COV = --coverage -DNDEBUG
	LDFLAGS_COV = --coverage
else
	BUILDDIR = build/$(VARIANT)
	CFLAGS_COV =
	LDFLAGS_COV =
endif

BUILDDIR_SHARED = $(BUILDDIR)/shared
BUILDDIR_STATIC = $(BUILDDIR)/static

LIB_SRC_FILES = mem.c free.c load.c save.c util.c utf8.c
LIB_SRC := $(addprefix src/,$(LIB_SRC_FILES))
LIB_OBJ = $(patsubst %.c,%.o, $(addprefix $(BUILDDIR)/,$(LIB_SRC)))
LIB_OBJ_SHARED = $(patsubst $(BUILDDIR)%,$(BUILDDIR_SHARED)%,$(LIB_OBJ))
LIB_OBJ_STATIC = $(patsubst $(BUILDDIR)%,$(BUILDDIR_STATIC)%,$(LIB_OBJ))

LIB_PATH = LD_LIBRARY_PATH=$(BUILDDIR)

TEST_SRC_FILES = units/free.c units/load.c units/test.c units/util.c \
		units/errs.c units/file.c units/save.c units/utf8.c
TEST_SRC := $(addprefix test/,$(TEST_SRC_FILES))
TEST_OBJ = $(patsubst %.c,%.o, $(addprefix $(BUILDDIR)/,$(TEST_SRC)))

TEST_BINS = \
		$(BUILDDIR)/test/units/cyaml-shared \
		$(BUILDDIR)/test/units/cyaml-static

all: $(BUILDDIR)/$(LIB_SH_MAJ) $(BUILDDIR)/$(LIB_STATIC) examples

coverage: test-verbose
	@$(MKDIR) $(BUILDDIR)
	@gcovr -e 'test/.*' -r .
	@gcovr -e 'test/.*' -x -o build/coverage.xml -r .
	@gcovr -e 'test/.*' --html --html-details -o build/coverage.html -r .

test test-quiet test-verbose test-debug: $(TEST_BINS)
	@for i in $(^); do $(LIB_PATH) $$i $(subst test-,--,$@) || exit; done

valgrind valgrind-quiet valgrind-verbose valgrind-debug: $(TEST_BINS)
	@for i in $(^); do $(LIB_PATH) $(VALGRIND) $$i $(subst valgrind-,--,$@) || exit; done

check: test

$(BUILDDIR)/$(LIB_PKGCON): $(LIB_PKGCON).in
	sed \
		-e 's#PREFIX#$(PREFIX)#' \
		-e 's#LIBDIR#$(LIBDIR)#' \
		-e 's#INCLUDEDIR#$(INCLUDEDIR)#' \
		-e 's#VERSION#$(VERSION_STR)#' \
		$(LIB_PKGCON).in >$(BUILDDIR)/$(LIB_PKGCON)

$(BUILDDIR)/$(LIB_STATIC): $(LIB_OBJ_STATIC)
	$(AR) -rcs $@ $^

$(BUILDDIR)/$(LIB_SH_MAJ): $(LIB_OBJ_SHARED)
	$(CC) -o $@ $^ $(LDFLAGS) $(LDFLAGS_COV) $(LDFLAGS_SHARED)

$(LIB_OBJ_STATIC): $(BUILDDIR_STATIC)/%.o : %.c
	@$(MKDIR) $(BUILDDIR_STATIC)/src
	$(CC) $(CFLAGS) $(CFLAGS_COV) -c -o $@ $<

$(LIB_OBJ_SHARED): $(BUILDDIR_SHARED)/%.o : %.c
	@$(MKDIR) $(BUILDDIR_SHARED)/src
	$(CC) $(CFLAGS) -fPIC $(CFLAGS_COV) -c -o $@ $<

docs:
	$(MKDIR) build/docs/api
	$(MKDIR) build/docs/devel
	doxygen docs/api.doxygen.conf
	doxygen docs/devel.doxygen.conf

clean:
	rm -rf build/

install: $(BUILDDIR)/$(LIB_SH_MAJ) $(BUILDDIR)/$(LIB_STATIC) $(BUILDDIR)/$(LIB_PKGCON)
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/$(LIBDIR)
	$(INSTALL) $(BUILDDIR)/$(LIB_SH_MAJ) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIB_SH_VER)
	(cd $(DESTDIR)$(PREFIX)/$(LIBDIR) && { ln -s -f $(LIB_SH_VER) $(LIB_SH_MAJ) || { rm -f $(LIB_SH_MAJ) && ln -s $(LIB_SH_VER) $(LIB_SH_MAJ); }; })
	(cd $(DESTDIR)$(PREFIX)/$(LIBDIR) && { ln -s -f $(LIB_SH_VER) $(LIB_SHARED) || { rm -f $(LIB_SHARED) && ln -s $(LIB_SH_VER) $(LIB_SHARED); }; })
	$(INSTALL) $(BUILDDIR)/$(LIB_STATIC) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIB_STATIC)
	chmod 644 $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIB_STATIC)
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/$(INCLUDEDIR)/cyaml
	$(INSTALL) -m 644 include/cyaml/* $(DESTDIR)$(PREFIX)/$(INCLUDEDIR)/cyaml
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/$(LIBDIR)/pkgconfig
	$(INSTALL) -m 644 $(BUILDDIR)/$(LIB_PKGCON) $(DESTDIR)$(PREFIX)/$(LIBDIR)/pkgconfig/$(LIB_PKGCON)

examples: $(BUILDDIR)/planner $(BUILDDIR)/numerical

$(BUILDDIR)/planner: examples/planner/main.c $(BUILDDIR)/$(LIB_STATIC)
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

$(BUILDDIR)/numerical: examples/numerical/main.c $(BUILDDIR)/$(LIB_STATIC)
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

.PHONY: all test test-quiet test-verbose test-debug \
		valgrind valgrind-quiet valgrind-verbose valgrind-debug \
		clean coverage docs install examples check

$(BUILDDIR)/test/units/cyaml-static: $(TEST_OBJ) $(BUILDDIR)/$(LIB_STATIC)
	$(CC) $(LDFLAGS_COV) -o $@ $^ $(LDFLAGS)

$(BUILDDIR)/test/units/cyaml-shared: $(TEST_OBJ) $(BUILDDIR)/$(LIB_SH_MAJ)
	$(CC) $(LDFLAGS_COV) -o $@ $^ $(LDFLAGS)

$(TEST_OBJ): $(BUILDDIR)/%.o : %.c
	@$(MKDIR) $(BUILDDIR)/test/units
	$(CC) $(CFLAGS) $(CFLAGS_COV) -c -o $@ $<

=== debian/changelog ===
libcyaml (1.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sudip Mukherjee ]
  * Update to upstream v1.1.0
    - Remove patches merged upstream.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 27 Jun 2020 17:13:46 +0100

libcyaml (1.0.2-5) unstable; urgency=medium

  * Move Vcs to salsa.
  * Add salsa ci.
  * Fix autopkgtest dependency.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 03 Jun 2020 21:27:30 +0100

libcyaml (1.0.2-4) unstable; urgency=medium

  * Install examples.
  * Add autopkgtest.
  * Fix FTCBFS: Use pkg-config to locate libyaml. (Closes: #959523)
    - Thanks to Helmut Grohne.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 29 May 2020 13:46:34 +0100

libcyaml (1.0.2-3) unstable; urgency=medium

  * Fix build on big-endian systems.
  * Update compat level to 13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 09 May 2020 20:54:43 +0100

libcyaml (1.0.2-2) unstable; urgency=medium

  * Fix copyright year.
  * Add debian/watch file.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 24 Apr 2020 17:56:58 +0100

libcyaml (1.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #956453)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 13 Apr 2020 16:03:50 +0100

=== debian/control ===
Source: libcyaml
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13), libyaml-dev, doxygen, graphviz, pkg-config
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/tlsa/libcyaml
Vcs-Browser: https://salsa.debian.org/sudip/libcyaml
Vcs-Git: https://salsa.debian.org/sudip/libcyaml.git

Package: libcyaml1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to read and write YAML documents (shared library)
 libcyaml is a C library to allow applications to construct schemas
 which describe both the permissible structure of the YAML documents
 to read/write, and the C data structure(s) in which the loaded data
 is arranged in memory.

Package: libcyaml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcyaml1 (= ${binary:Version}), ${misc:Depends}
Description: library to read and write YAML documents (development files)
 libcyaml is a C library to allow applications to construct schemas
 which describe both the permissible structure of the YAML documents
 to read/write, and the C data structure(s) in which the loaded data
 is arranged in memory.
 .
 This package contains the development files for libcyaml1.

Package: libcyaml-doc
Section: doc
Recommends: libcyaml-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: documentation for libcyaml1
 libcyaml is a C library to allow applications to construct schemas
 which describe both the permissible structure of the YAML documents
 to read/write, and the C data structure(s) in which the loaded data
 is arranged in memory.
 .
 This package contains the documentation for libcyaml1.

## libcyaml 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-License-Identifier: ISC
 #
-# Copyright (C) 2017-2020 Michael Drake <tlsa@netsurf-browser.org>
+# Copyright (C) 2017-2021 Michael Drake <tlsa@netsurf-browser.org>
 
 # CYAML's versioning is <MAJOR>.<MINOR>.<PATCH>[-DEVEL]
 # Master branch will always be DEVEL.  The release process will be to make
 # the release branch, set VESION_DEVEL to 0, and tag the release.
 VERSION_MAJOR = 1
-VERSION_MINOR = 1
-VERSION_PATCH = 0
+VERSION_MINOR = 3
+VERSION_PATCH = 1
 VERSION_DEVEL = 0
 VERSION_STR = $(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_PATCH)
 
@@ -25,6 +25,8 @@
 else
 $(error VARIANT must be 'debug' (default), 'san', or 'release')
 endif
+
+UNAME_S := $(shell uname -s)
 
 LIB_NAME = libcyaml
 LIB_PKGCON = $(LIB_NAME).pc
@@ -39,6 +41,8 @@
 LIBDIR ?= lib
 INCLUDEDIR ?= include
 
+Q ?= @
+
 CC ?= gcc
 AR ?= ar
 MKDIR =	mkdir -p
@@ -55,10 +59,14 @@
 LIBYAML_LIBS := $(if $(PKG_CONFIG),$(shell $(PKG_CONFIG) --libs $(LIBYAML)),-lyaml)
 
 INCLUDE = -I include
-CFLAGS += $(INCLUDE) $(VERSION_FLAGS) $(LIBYAML_CFLAGS)
-CFLAGS += -std=c11 -Wall -Wextra -pedantic -Wconversion
+CPPFLAGS += $(VERSION_FLAGS) -MMD -MP
+CFLAGS += $(INCLUDE) $(LIBYAML_CFLAGS)
+CFLAGS += -std=c11 -Wall -Wextra -pedantic \
+		-Wconversion -Wwrite-strings -Wcast-align -Wpointer-arith \
+		-Winit-self -Wshadow -Wstrict-prototypes -Wmissing-prototypes \
+		-Wredundant-decls -Wundef -Wvla -Wdeclaration-after-statement
 LDFLAGS += $(LIBYAML_LIBS)
-LDFLAGS_SHARED += -Wl,-soname=$(LIB_SH_MAJ) -shared
+LDFLAGS_SHARED = -Wl,-soname=$(LIB_SH_MAJ) -shared
 
 ifeq ($(VARIANT), debug)
 	CFLAGS += -O0 -g
@@ -85,15 +93,27 @@
 LIB_SRC_FILES = mem.c free.c load.c save.c util.c utf8.c
 LIB_SRC := $(addprefix src/,$(LIB_SRC_FILES))
 LIB_OBJ = $(patsubst %.c,%.o, $(addprefix $(BUILDDIR)/,$(LIB_SRC)))
+LIB_DEP = $(patsubst %.c,%.d, $(addprefix $(BUILDDIR)/,$(LIB_SRC)))
 LIB_OBJ_SHARED = $(patsubst $(BUILDDIR)%,$(BUILDDIR_SHARED)%,$(LIB_OBJ))
 LIB_OBJ_STATIC = $(patsubst $(BUILDDIR)%,$(BUILDDIR_STATIC)%,$(LIB_OBJ))
+LIB_DEP_SHARED = $(patsubst $(BUILDDIR)%,$(BUILDDIR_SHARED)%,$(LIB_DEP))
+LIB_DEP_STATIC = $(patsubst $(BUILDDIR)%,$(BUILDDIR_STATIC)%,$(LIB_DEP))
 
 LIB_PATH = LD_LIBRARY_PATH=$(BUILDDIR)
+
+ifeq ($(UNAME_S),Darwin)
+	LIB_SHARED = $(LIB_NAME).dylib
+	LIB_SH_MAJ = $(LIB_NAME).$(VERSION_MAJOR).dylib
+	LIB_SH_VER = $(LIB_NAME).$(VERSION_STR).dylib
+	LDFLAGS_SHARED = -dynamiclib -install_name "$(LIB_SH_MAJ)" -current_version $(VERSION_STR)
+	LIB_PATH = DYLD_FALLBACK_LIBRARY_PATH=$(BUILDDIR)
+endif
 
 TEST_SRC_FILES = units/free.c units/load.c units/test.c units/util.c \
 		units/errs.c units/file.c units/save.c units/utf8.c
 TEST_SRC := $(addprefix test/,$(TEST_SRC_FILES))
 TEST_OBJ = $(patsubst %.c,%.o, $(addprefix $(BUILDDIR)/,$(TEST_SRC)))
+TEST_DEP = $(patsubst %.c,%.d, $(addprefix $(BUILDDIR)/,$(TEST_SRC)))
 
 TEST_BINS = \
 		$(BUILDDIR)/test/units/cyaml-shared \
@@ -102,16 +122,16 @@
 all: $(BUILDDIR)/$(LIB_SH_MAJ) $(BUILDDIR)/$(LIB_STATIC) examples
 
 coverage: test-verbose
-	@$(MKDIR) $(BUILDDIR)
-	@gcovr -e 'test/.*' -r .
-	@gcovr -e 'test/.*' -x -o build/coverage.xml -r .
-	@gcovr -e 'test/.*' --html --html-details -o build/coverage.html -r .
+	$(Q)$(MKDIR) $(BUILDDIR)
+	$(Q)gcovr -e 'test/.*' -r .
+	$(Q)gcovr -e 'test/.*' -x -o build/coverage.xml -r .
+	$(Q)gcovr -e 'test/.*' --html --html-details -o build/coverage.html -r .
 
 test test-quiet test-verbose test-debug: $(TEST_BINS)
-	@for i in $(^); do $(LIB_PATH) $$i $(subst test-,--,$@) || exit; done
+	$(Q)for i in $(^); do $(LIB_PATH) $$i $(subst test,,$(subst test-,--,$@)) "$(TESTLIST)" || exit; done
 
 valgrind valgrind-quiet valgrind-verbose valgrind-debug: $(TEST_BINS)
-	@for i in $(^); do $(LIB_PATH) $(VALGRIND) $$i $(subst valgrind-,--,$@) || exit; done
+	$(Q)for i in $(^); do $(LIB_PATH) $(VALGRIND) $$i $(subst valgrind,,$(subst valgrind-,--,$@)) "$(TESTLIST)" || exit; done
 
 check: test
 
@@ -130,12 +150,12 @@
 	$(CC) -o $@ $^ $(LDFLAGS) $(LDFLAGS_COV) $(LDFLAGS_SHARED)
 
 $(LIB_OBJ_STATIC): $(BUILDDIR_STATIC)/%.o : %.c
-	@$(MKDIR) $(BUILDDIR_STATIC)/src
-	$(CC) $(CFLAGS) $(CFLAGS_COV) -c -o $@ $<
+	$(Q)$(MKDIR) $(dir $@)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_COV) -c -o $@ $<
 
 $(LIB_OBJ_SHARED): $(BUILDDIR_SHARED)/%.o : %.c
-	@$(MKDIR) $(BUILDDIR_SHARED)/src
-	$(CC) $(CFLAGS) -fPIC $(CFLAGS_COV) -c -o $@ $<
+	$(Q)$(MKDIR) $(dir $@)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC $(CFLAGS_COV) -c -o $@ $<
 
 docs:
 	$(MKDIR) build/docs/api
@@ -161,10 +181,12 @@
 examples: $(BUILDDIR)/planner $(BUILDDIR)/numerical
 
 $(BUILDDIR)/planner: examples/planner/main.c $(BUILDDIR)/$(LIB_STATIC)
-	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $^ $(LDFLAGS)
 
 $(BUILDDIR)/numerical: examples/numerical/main.c $(BUILDDIR)/$(LIB_STATIC)
-	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $^ $(LDFLAGS)
+
+-include $(LIB_DEP_SHARED) $(LIB_DEP_STATIC) $(TEST_DEP)
 
 .PHONY: all test test-quiet test-verbose test-debug \
 		valgrind valgrind-quiet valgrind-verbose valgrind-debug \
@@ -177,5 +199,5 @@
 	$(CC) $(LDFLAGS_COV) -o $@ $^ $(LDFLAGS)
 
 $(TEST_OBJ): $(BUILDDIR)/%.o : %.c
-	@$(MKDIR) $(BUILDDIR)/test/units
-	$(CC) $(CFLAGS) $(CFLAGS_COV) -c -o $@ $<
+	$(Q)$(MKDIR) $(dir $@)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_COV) -c -o $@ $<

=== debian/changelog ===
libcyaml (1.3.1-1) unstable; urgency=medium

  * Update to upstream v1.3.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 22 Feb 2022 20:39:58 +0000

libcyaml (1.3.0-1) unstable; urgency=medium

  * Update to upstream v1.3.0
    - Refresh patch.
  * Update Standards-Version to 4.6.0.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 22 Nov 2021 20:53:26 +0000

libcyaml (1.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 15 Aug 2021 12:32:08 +0100

libcyaml (1.2.0-1) experimental; urgency=medium

  * Update to upstream v1.2.0
    - Update copyright.
  * Update Standards-Version to 4.5.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 02 Jul 2021 20:15:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), libyaml-dev, doxygen, graphviz, pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Section: libs
 Homepage: https://github.com/tlsa/libcyaml
 Vcs-Browser: https://salsa.debian.org/sudip/libcyaml

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, libyaml-dev, build-essential

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libcyaml-$1\.tar\.gz/ \
  https://github.com/tlsa/libcyaml/tags .*/v?(\d\S+)\.tar\.gz

## libcyaml 1.4.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,18 @@
 # SPDX-License-Identifier: ISC
 #
-# Copyright (C) 2017-2021 Michael Drake <tlsa@netsurf-browser.org>
+# Copyright (C) 2017-2023 Michael Drake <tlsa@netsurf-browser.org>
 
 # CYAML's versioning is <MAJOR>.<MINOR>.<PATCH>[-DEVEL]
-# Master branch will always be DEVEL.  The release process will be to make
-# the release branch, set VESION_DEVEL to 0, and tag the release.
+# The main branch will usually be DEVEL.  The release process is:
+# 0. Create branch for release.
+# 1. Update the CHANGES.md file.
+# 2. Set MAJOR, MINOR, and PATCH versions appropriately for changes.
+# 3. Create PR, review, and merge to main.
+# 4. Set VESION_DEVEL to 0, commit to main.
+# 5. Tag the release: `git tag -a vN.N.N -m "libcyaml N.N.N"`
+# 6. Set VESION_DEVEL to 1, commit to main.
 VERSION_MAJOR = 1
-VERSION_MINOR = 3
+VERSION_MINOR = 4
 VERSION_PATCH = 1
 VERSION_DEVEL = 0
 VERSION_STR = $(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_PATCH)
@@ -46,7 +52,7 @@
 CC ?= gcc
 AR ?= ar
 MKDIR =	mkdir -p
-INSTALL ?= install -c -D
+INSTALL ?= install -c
 VALGRIND = valgrind --leak-check=full --track-origins=yes
 
 VERSION_FLAGS = -DVERSION_MAJOR=$(VERSION_MAJOR) \

=== debian/changelog ===
libcyaml (1.4.1-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:44:21 +0200

libcyaml (1.4.1-1) unstable; urgency=medium

  * Update to upstream v1.4.1
    - Update copyright.
    - Rebase patches for upstream changes.
  * Update Standards-Version to 4.6.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 10 Jul 2023 19:49:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libcyaml
 Priority: optional
-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), libyaml-dev, doxygen, graphviz, pkg-config
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/tlsa/libcyaml
 Vcs-Browser: https://salsa.debian.org/sudip/libcyaml

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all docs

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr LIBDIR=lib/$(DEB_HOST_MULTIARCH)

## libcyaml 1.4.2

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 # 6. Set VESION_DEVEL to 1, commit to main.
 VERSION_MAJOR = 1
 VERSION_MINOR = 4
-VERSION_PATCH = 1
+VERSION_PATCH = 2
 VERSION_DEVEL = 0
 VERSION_STR = $(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_PATCH)
 
@@ -142,6 +142,7 @@
 check: test
 
 $(BUILDDIR)/$(LIB_PKGCON): $(LIB_PKGCON).in
+	$(Q)$(MKDIR) $(dir $@)
 	sed \
 		-e 's#PREFIX#$(PREFIX)#' \
 		-e 's#LIBDIR#$(LIBDIR)#' \
@@ -172,17 +173,23 @@
 clean:
 	rm -rf build/
 
-install: $(BUILDDIR)/$(LIB_SH_MAJ) $(BUILDDIR)/$(LIB_STATIC) $(BUILDDIR)/$(LIB_PKGCON)
+install-common: $(BUILDDIR)/$(LIB_PKGCON)
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/$(INCLUDEDIR)/cyaml
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/$(LIBDIR)/pkgconfig
+	$(INSTALL) -m 644 include/cyaml/* $(DESTDIR)$(PREFIX)/$(INCLUDEDIR)/cyaml
+	$(INSTALL) -m 644 $(BUILDDIR)/$(LIB_PKGCON) $(DESTDIR)$(PREFIX)/$(LIBDIR)/pkgconfig/$(LIB_PKGCON)
+
+install-static: $(BUILDDIR)/$(LIB_STATIC) install-common
+	$(INSTALL) -d $(DESTDIR)$(PREFIX)/$(LIBDIR)
+	$(INSTALL) -m 644 $(BUILDDIR)/$(LIB_STATIC) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIB_STATIC)
+
+install-shared: $(BUILDDIR)/$(LIB_SH_MAJ) install-common
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/$(LIBDIR)
 	$(INSTALL) $(BUILDDIR)/$(LIB_SH_MAJ) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIB_SH_VER)
 	(cd $(DESTDIR)$(PREFIX)/$(LIBDIR) && { ln -s -f $(LIB_SH_VER) $(LIB_SH_MAJ) || { rm -f $(LIB_SH_MAJ) && ln -s $(LIB_SH_VER) $(LIB_SH_MAJ); }; })
 	(cd $(DESTDIR)$(PREFIX)/$(LIBDIR) && { ln -s -f $(LIB_SH_VER) $(LIB_SHARED) || { rm -f $(LIB_SHARED) && ln -s $(LIB_SH_VER) $(LIB_SHARED); }; })
-	$(INSTALL) $(BUILDDIR)/$(LIB_STATIC) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIB_STATIC)
-	chmod 644 $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIB_STATIC)
-	$(INSTALL) -d $(DESTDIR)$(PREFIX)/$(INCLUDEDIR)/cyaml
-	$(INSTALL) -m 644 include/cyaml/* $(DESTDIR)$(PREFIX)/$(INCLUDEDIR)/cyaml
-	$(INSTALL) -d $(DESTDIR)$(PREFIX)/$(LIBDIR)/pkgconfig
-	$(INSTALL) -m 644 $(BUILDDIR)/$(LIB_PKGCON) $(DESTDIR)$(PREFIX)/$(LIBDIR)/pkgconfig/$(LIB_PKGCON)
+
+install: install-shared install-static
 
 examples: $(BUILDDIR)/planner $(BUILDDIR)/numerical
 
@@ -194,9 +201,9 @@
 
 -include $(LIB_DEP_SHARED) $(LIB_DEP_STATIC) $(TEST_DEP)
 
-.PHONY: all test test-quiet test-verbose test-debug \
+.PHONY: all clean coverage docs install install-static install-shared \
 		valgrind valgrind-quiet valgrind-verbose valgrind-debug \
-		clean coverage docs install examples check
+		test test-quiet test-verbose test-debug examples check
 
 $(BUILDDIR)/test/units/cyaml-static: $(TEST_OBJ) $(BUILDDIR)/$(LIB_STATIC)
 	$(CC) $(LDFLAGS_COV) -o $@ $^ $(LDFLAGS)

=== debian/changelog ===
libcyaml (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2
  * Update pkg-config with pkgconf.
  * Update Standards-Version to 4.7.0
  * Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 06 Sep 2024 20:46:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libcyaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
-Build-Depends: debhelper-compat (= 13), libyaml-dev, doxygen, graphviz, pkg-config
-Standards-Version: 4.6.2
+Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Build-Depends: debhelper-compat (= 13), libyaml-dev, doxygen, graphviz, pkgconf
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://github.com/tlsa/libcyaml
 Vcs-Browser: https://salsa.debian.org/sudip/libcyaml
